#!/bin/bash
if [ $# -ne 2 ]; then
    echo "Please use arguments <.ovpn file> <username>"
    exit 1
fi

echo "[connection]";
echo id=`echo $1 | sed s/.ovpn//g`;
echo uuid=`uuidgen`;
echo -e "type=vpn";
echo -e "autoconnect=false\n";

echo [vpn]
echo -e "service-type=org.freedesktop.NetworkManager.openvpn
fragment-size=1450
connection-type=password
password-flags=1";
echo remote=`cat "$1"  | grep remote | sed s/"remote "//g`;
echo "cipher=AES-256-CBC
comp-lzo=yes
tunnel-mtu=1500";
echo port=`cat "$1"  | grep port | sed s/"port "//g`;
echo "mssfix=yes";
echo "username=$2";
echo "ca=/etc/NetworkManager/VPN/ca.crt

[ipv4]
method=auto";






